Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.ajax
Interface JSON.Output

Enclosing class:
  JSON

    public static interface JSON.Output

JSON Output class for use by `JSON.Convertible`.

Method Summary
`void` | `add(Object obj)`
`void` | `add(String name, boolean value)`
`void` | `add(String name, double value)`
`void` | `add(String name, long value)`
`void` | `add(String name, Object value)`
`void` | `addClass(Class c)`

Method Detail

### addClass

    void addClass(Class c)

### add

    void add(Object obj)

### add

    void add(String name,
             Object value)

### add

    void add(String name,
             double value)

### add

    void add(String name,
             long value)

### add

    void add(String name,
             boolean value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.